
QGIS Application - Bug report #11891

crash dump on exit - win32

2014-12-18 09:32 AM - Mikhail Tchernychev

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 20105

Description

Hi,

QGIS developed recently crash on exit under Win32 (win 7)

steps to re-produce

1. start QGIS master or QGIS 2.61

2. close QGIS

3. mini-dump os generated.

mini-dump file size is 47 MB, zipped 8 MB - I cannot attach it here

Thank you very much,

Mikhail

History

#1 - 2014-12-18 09:33 AM - Paolo Cavallini

Have you tried removing all the user plugins?

#2 - 2014-12-18 09:46 AM - Mikhail Tchernychev

No. In fact I was looking for way to do it without manually removing them all.

Is there a switch somewhere?

Thank you

Mikhail

#3 - 2014-12-18 09:51 AM - Mikhail Tchernychev

I disabled them all by hand and but crash is still here.

#4 - 2014-12-19 09:01 AM - Mikhail Tchernychev

Apparently GDAL111 is responsible. I opened dump with VC++ Studio and below is what I see.

I don't have gdal code, but it looks like double-free of some memory block.

2025-04-27 1/4



It also explains why both versions 2.7.0 and 2.6.1 are affected.

Mikhail

ntdll.dll!77de6609()     

     [Frames below may be incorrect and/or missing, no symbols loaded for ntdll.dll]

msvcr100.dll!free(void * pBlock)  Line 51    C

     gdal111.dll!0295f1a0()     

     kernel32.dll!75949d06()     

     msvcr100.dll!free(void * pBlock)  Line 51    C

     gdal111.dll!02942698()     

     gdal111.dll!029594ff()     

     msvcr90.dll!72b43c1b()     

     dbghelp.dll!710614e4()     

     QtCore4.dll!670fa248()     

     qgis-dev-bin.exe!00990d06()     

     qgis-dev-bin.exe!0098e932()     

     kernel32.dll!7594d3c9()     

     ntdll.dll!77dc1603()

#5 - 2014-12-20 01:55 AM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

- Status changed from Open to Feedback

- Priority changed from Normal to High

Does the crash appeared after an update? what installer are you using, standalone or osgeo4w? it happens all the time or just when working with certain

layers/projects? can you try temporarily remove the .qgis2 folder? There are faulty plugins that are known to bring down qgis even when are disabled.

#6 - 2014-12-20 08:12 AM - Mikhail Tchernychev

Yes crash appeared after update. It's a few days already.

I think gdal 1.1.1.-5 is responsible. My other laptop where I did not update works fine.

No need to load any project / layers, just start, do nothing and close it, you get dump. Two PCs tested,

the same way (both have been updated)

I disabled all plugins with the same result. Version 2.6.1 is also affected, the same way - start, close, dump.

I did not try yet playing with .qgis, will do it tonight

I tried downgrade gdal related packages but no difference. Laptop with no update still works fine.

It seem windows version of GDAL has double-free somewhere.

Thank you very much,

Mikhail

#7 - 2014-12-20 08:15 AM - Mikhail Tchernychev

I am using OsGeo4W. It happens almost all time (was couple of times when it closed normally).

I will re-name .qgis2 later today
Mikhail

#8 - 2014-12-20 10:16 PM - Mikhail Tchernychev

Yes, right. Re-naming .qgis2 fixes it. All plugins also gone - but it is clear.

So it is plugin. I'll try to figure out which one.

Thank you

Mikhail

#9 - 2014-12-20 10:41 PM - Mikhail Tchernychev

I think I figured it out. The plugin which causes the crash is GarminCustomMap (this is unfortunate)

I started adding plugins back one by one and after GarminCustomMap I got that crash. After I removed

it is worked fine (it still crashed session where it was removed, but the following start / stops

working no crash).

After that I restored my original .qgis2 folder, started QGIS and uninstalled GarminCustomMap.

Closed QGIS (crash). Started again. Start / end with no issue after that.

I hope it helps

Mikhail

#10 - 2014-12-20 10:47 PM - Paolo Cavallini

- Status changed from Feedback to Rejected

- Resolution set to invalid

Please file a ticket on plugin bug tracker.

#11 - 2014-12-21 10:49 AM - Mikhail Tchernychev

Done.

#12 - 2014-12-22 12:04 PM - Mikhail Tchernychev

Another plugin, Raster Bender, has the same issue. Has been reported to plugin tracker

#13 - 2015-01-29 05:58 AM - David Lee

Same crash-dump issue on exit - QGIS 2.6.1, OSGeo4W 32bit, Windows XP - but appeared to start without updating anything. 

Removed Garmin Custom Map plugin and QGIS now exits without crash.

#14 - 2015-01-29 06:18 AM - Giovanni Manghi

Removed Garmin Custom Map plugin and QGIS now exits without crash.

2025-04-27 3/4



so it is a plugin issue.

#15 - 2015-02-20 10:27 AM - Mikhail Tchernychev

- Resolution changed from invalid to fixed/implemented

- Priority changed from High to Normal

This seem to be gone with release of 2.8.0 and GDAL update. I just installed OsGeo4W and after

I re-installed Garmin Custom Maps and Raster Bender within QGIS there is no crash on exit.

It seem it was GDAL related, because both plugin were not recently updated.

Mikhail

#16 - 2015-02-20 12:54 PM - Jürgen Fischer

- Status changed from Rejected to Closed
